<xsd:schema  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans.xsd"/>
<xsd:include schemaLocation="obj_ip_service.xsd"/>

	<xsd:element name="TRANS_IP_SERVICE">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="TRANS_COMMON_PARAMS"/>
				<xsd:choice>
					<xsd:group ref="ACTIONS"/>
					<xsd:element ref="ACTION"/>
				</xsd:choice>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="NEW_IP_SERVICE">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="IP_SERVICE"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="UPDATE_IP_SERVICE">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="IP_SERVICE"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="UPDATE_MANAGEMENT_NETWORK">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="IP_SERVICE"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="DEL_IP_SERVICE">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="NAME"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="SET_DEFAULT_H323_SERVICE">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="NAME"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="SET_DEFAULT_SIP_SERVICE">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="NAME"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="GET">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="OBJ_TOKEN"/>
				<xsd:element ref="NAME"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:group name="ACTIONS">
		<xsd:choice>
			<xsd:element ref="GET"/>						<!--not supported-->
			<xsd:element ref="NEW_IP_SERVICE"/>
			<xsd:element ref="UPDATE_IP_SERVICE"/>
			<xsd:element ref="DEL_IP_SERVICE"/>
			<xsd:element ref="SET_DEFAULT_H323_SERVICE"/>
			<xsd:element ref="SET_DEFAULT_SIP_SERVICE"/>
			<xsd:element ref="UPDATE_MANAGEMENT_NETWORK"/>
		</xsd:choice>
	</xsd:group>

	<xsd:element name="ACTION">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:group ref="ACTIONS"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

</xsd:schema>
